summaryrefslogtreecommitdiffstats
path: root/ifplugd
diff options
context:
space:
mode:
authorJames Rayner <james@archlinux.org>2010-01-31 01:00:25 +0100
committerJames Rayner <james@archlinux.org>2010-01-31 01:12:17 +0100
commit28693f8e88edb196abe44ea38d629dbde492774c (patch)
treeb4d9e87e3c91d96018da91574c0f6723fc0c29e4 /ifplugd
parent3605f7aa8f054e5f51f9f5421d9bcf46aae44854 (diff)
downloadnetctl-28693f8e88edb196abe44ea38d629dbde492774c.tar.gz
netctl-28693f8e88edb196abe44ea38d629dbde492774c.tar.xz
Fix FS#17190, not exiting loop correctly
Diffstat (limited to 'ifplugd')
-rwxr-xr-xifplugd/netcfg.action6
1 files changed, 3 insertions, 3 deletions
diff --git a/ifplugd/netcfg.action b/ifplugd/netcfg.action
index 25942d1..b34fe3c 100755
--- a/ifplugd/netcfg.action
+++ b/ifplugd/netcfg.action
@@ -1,4 +1,4 @@
-#!/bin/sh
+#!/bin/bash
#
# ifplugd.action script for netcfg
@@ -19,11 +19,11 @@ case "$2" in
[[ "$INTERFACE" != "$1" ]] && continue
[[ "$CONNECTION" != @(ethernet|ethernet-iproute) ]] && continue
if [[ "$IP" == "dhcp" ]]; then
- netcfg "$profile" && exit 0
+ netcfg "$profile" && exit 1
else
static_profiles+=("$profile")
fi
- ) done
+ ) || exit 0; done
for profile in "${static_profiles[@]}"; do (
load_profile "$profile"
netcfg "$profile" && exit 0